[Snort-users] A patch for FreeBSD /usr/ports/security/snort configure script

Yen-Ming Chen yenming.chen at ...427...
Fri Sep 8 10:12:23 EDT 2000


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


	I just made a patch for the configure script of snort-1.6.3 under
FreeBSD's
/usr/ports/security/snort. Save this file and put it under
/usr/ports/security/snort/patches (Create the directory if you don't have it
now), then whenever you're making snort from the ports directory, you'll get
your mysql or postgresql configured in without specifying anything else for
the configure script, as long as you install those databases through the
/usr/ports mechanism. I've sent it to the ports' maintainer, and I haven't
seen it got in, I guess it's not needed by everyone. Anyway, let me know if
there is any problem with this.

Yen-Ming Chen

#---cut here---

- --- configure.orig	Mon Sep  4 00:35:23 2000
+++ configure	Mon Sep  4 00:37:44 2000
@@ -2321,8 +2321,8 @@
 fi
 
 
- -INCVAL="/usr/include/mysql"
- -LIBVAL="/usr/lib/mysql"
+INCVAL="/usr/local/include/mysql"
+LIBVAL="/usr/local/lib/mysql"
 # Check whether --with-mysql_includes or --without-mysql_includes was
given.
 if test "${with_mysql_includes+set}" = set; then
   withval="$with_mysql_includes"
@@ -2629,8 +2629,8 @@
    fi
 fi
 
- -INCVAL="/usr/include/pgsql"
- -LIBVAL="/usr/lib"
+INCVAL="/usr/local/pgsql/include"
+LIBVAL="/usr/local/pgsql/lib"
 # Check whether --with-libpq_includes or --without-libpq_includes was
given.
 if test "${with_libpq_includes+set}" = set; then
   withval="$with_libpq_includes"

#---end of patch---

-----BEGIN PGP SIGNATURE-----
Version: PGPfreeware 6.5.8 for non-commercial use <http://www.pgp.com>

iQA/AwUBObjzmPQhifzlmfhUEQIlJQCfWbavbIBMZZ/yIKgs1DKd6wQHlScAn0e4
p+1IhtEan/u1uaWv6WSkBS6h
=Zk/Q
-----END PGP SIGNATURE-----



More information about the Snort-users mailing list